%define upstream_name    Sort-Key
%define upstream_version 1.33

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Sort objects by some (calculated) key
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Sort/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel

%{?perl_default_filter}

%description
Sort::Key provides a set of functions to sort lists of values by some
calculated key value.

It is faster (usually *much faster*) and uses less memory than other
alternatives implemented around perl sort function (ST, GRT, etc.).

Multikey sorting functionality is also provided via the companion modules
the Sort::Key::Multi manpage, the Sort::Key::Maker manpage and the
Sort::Key::Register manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README Changes META.yml
%{_mandir}/man3/*
%perl_vendorarch/Sort
%perl_vendorarch/auto/Sort



%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.330.0-9.mga6
+ Revision: 1033245
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.330.0-8.mga6
+ Revision: 958001
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1.330.0-7.mga6
+ Revision: 845289
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 1.330.0-6.mga6
+ Revision: 841651
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.330.0-5.mga5
+ Revision: 744536
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.330.0-4.mga5
+ Revision: 733385
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.330.0-3.mga5
+ Revision: 686209
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.330.0-2.mga5
+ Revision: 631668
- Rebuild for perl 5.20

* Tue Apr 29 2014 guillomovitch <guillomovitch> 1.330.0-1.mga5
+ Revision: 618891
- new version 1.33

* Sat Oct 19 2013 umeabot <umeabot> 1.320.0-2.mga4
+ Revision: 528804
- Mageia 4 Mass Rebuild

* Thu Jun 27 2013 guillomovitch <guillomovitch> 1.320.0-1.mga4
+ Revision: 447571
- new version
- imported package perl-Sort-Key


* Tue Jun 26 2012 cpan2dist 1.28-1mga
- initial mageia release, generated with cpan2dist
